Subject: bug#32247: closed (Re: bug#32247: HandBrake shows no icons)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Sep 2021 04:07:03 +0000

Your bug report

#32247: HandBrake shows no icons

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32247: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32247
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32247: HandBrake shows no icons
From: Sarah Morgensen <[email-masked]>
To: Ben Sturmfels <[email-masked]>
Cc: [email-masked], Andreas Enge <[email-masked]>
Date: Sun, 12 Sep 2021 21:06:11 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ben Sturmfels <[email-masked]> writes:

> On Mon, 23 Jul 2018, Andreas Enge wrote:
>
> I just ran the current version of Handbrake in Guix and can see icons,
> so it may be that this has been fixed elsewhere or through upgrades.
> Would you mind testing again please to see if this is fixed for you?

I just tested and can see the icons as well without doing anything
special.  Given that this is now a two-year old bug, I'll be closing it;
if someone encounters this again, please reopen.

Thanks,
--
Sarah

Subject: HandBrake shows no icons
From: Andreas Enge <[email-masked]>
To: [email-masked]
Cc: Eric Bavier <[email-masked]>
Date: Sun, 22 Jul 2018 22:07:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

right now I tried out the ghb binary from our handbrake package.
It starts, but shows no icons. Even after installing adwaita-icon-theme,
nothing changes. Do I do anything wrong, or is there a bug in the package?
Also, there is a scary warning that gstreamer could not be initialised
(see the abbreviated output of the command below).

Thanks for your help,

Andreas

...
(ghb:11186): Gtk-CRITICAL **: 22:06:34.168: gtk_icon_theme_add_builtin_icon: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(ghb:11186): GLib-GObject-CRITICAL **: 22:06:34.168: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(ghb:11186): GdkPixbuf-CRITICAL **: 22:06:34.169: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(ghb:11186): Gtk-CRITICAL **: 22:06:34.169: gtk_icon_theme_add_builtin_icon: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(ghb:11186): GLib-GObject-CRITICAL **: 22:06:34.169: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(ghb:11186): GdkPixbuf-CRITICAL **: 22:06:34.169: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(ghb:11186): Gtk-CRITICAL **: 22:06:34.169: gtk_icon_theme_add_builtin_icon: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(ghb:11186): GLib-GObject-CRITICAL **: 22:06:34.169: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(ghb:11186): GdkPixbuf-CRITICAL **: 22:06:34.169: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(ghb:11186): Gtk-CRITICAL **: 22:06:34.169: gtk_icon_theme_add_builtin_icon: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(ghb:11186): GLib-GObject-CRITICAL **: 22:06:34.169: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
GLib-GIO-Message: 22:06:34.294: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
** Message: 22:06:34.475: Couldn't initialize gstreamer. Disabling live preview.